> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# get-Token

> need to get bearer token first to use niobi payment api



## OpenAPI

````yaml post /api/integration/get-token
openapi: 3.0.0
info:
  title: Niobi Application API
  description: Niobi List API
  version: 1.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Live API Server
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/integration/get-token:
    post:
      tags:
        - payment
      summary: getToken
      description: >-
        This endpoint provides an authentication token needed to use the Niobi
        payments API.
      operationId: getToken
      requestBody:
        description: Pass payment data
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - secret_key
              properties:
                client_id:
                  description: >-
                    This is the client id generated from your API credentials in
                    your account.
                  type: string
                  format: client_id
                  example: string
                secret_key:
                  description: >-
                    This is the secret key generated from your API credentials
                    in your account.
                  type: string
                  format: secret_key
                  example: string
              type: object
      responses:
        '200':
          description: Ok.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'true'
                  message:
                    type: string
                    example: Credentials verified successfully.
                  data:
                    properties:
                      token:
                        type: string
                        example: 123|abc*************************
                    type: object
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: Credentials were not found.
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: message
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: message
                type: object
        '404':
          description: Resource Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: message
                type: object
        '501':
          description: Not Implemented
        '503':
          description: Service Unavailable

````